{#MG Modification Début 20200128#}
{# <div class="col-sm-12 col-md-12 col-lg-12">
     <form methode="POST">
         <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 LesChamps ">
             <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3">
                 <input type="date"> </input> <label>Horaires</label>
             </div>
             <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3">

                 <input type="time"> </input> <label>de</label>
             </div>
             <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3">

                 <input type="time"> <label>a</label>
             </div>
             <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3">

                 <input type="button" value="Conflit">
             </div>           

             <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">              
                 <input type="textarea" </input> <label> Remarque</label>
             </div>
             <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                 <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6 ">
                 </div>
                 <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                                      <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                                          <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3">

                <input type="checkbox"> </input><label>Libre1</label>
                                              </div>
                                 <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3">

                 <input type="checkbox"> </input> <label>Libre2</label>
                                 </div>
                 </div>
             </div>
             <select><option>planType</option></select> <label>plans Types</label>
             <select><option>Service</option></select> <label> Service</label>
             <input type="date" </input> <label>Dates</label>
             <input type="checkbox" </input> <label>Inclut ta pause conventionnelle de XXmn</label>
          </div> 
     </form>
     <p id='test'></p>
 </div>#}

{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidSeance }}</div>
{% endblock %}

{% block formulaire %}
{# LG 20200508 début : input qui indique dans quel onglet on se trouve#}
    <input type="hidden" name="OngletSéance" id="OngletSéance">
{# LG 20200508 fin#}

    <div class="container">
		
		<div class="row">
			<div class="activitéSéance col-sm-12">
				{{libelleActi[0].rtvlibelleacti|raw}}
			</div>
		</div>
		
        <div class="row">
            {% if date(app.session.get('dateDebut')) <=  date('1901/12/31') %}
                <div class="col-sm-3">
                    <label class="control-label"> Jour de la semaine :</label>
                    <div>
                        <select class="col-sm-8 form-control" id="jourDeLaSemaine">
                            <option value="1">Lundi</option>
                            <option value="2">Mardi</option>
                            <option value="3">Mercredi</option>
                            <option value="4">Jeudi</option>
                            <option value="5">Vendredi</option>
                            <option value="6">Samedi</option>
                            <option value="7">Dimanche</option>
                        </select>
                    </div>
                </div>
            {% else %}
				
                <div class="col-sm-3">
                    <label class="control-label"> Le :</label>
                    <div>
                        <input id="dateSeance" class="form-control" type="date"></input>
                    </div>
                </div>

                <div class="col-sm-3">
                    <label class="control-label"> De :</label>
                    <div>
                        <input id="heureDebut" class="form-control" type="time"></input>
                    </div>
                </div>

                <div class="col-sm-3">
                    <label class="control-label"> à :</label>
                    <div>
                        <input id="heureFin" class="form-control" type="time"></input>
                    </div>
                </div>
            {% endif %}
        </div>
          
        <div class="row">
            {% if poForm.mcommentaire is defined %}
                <div class="form-group col-sm-12">
                    {{ form_label(poForm.mcommentaire, "Remarque ", {'label_attr': {'class': 'control-label'}}) }}
                    <div id="mcommentaire" class="">
                        {{ form_widget(poForm.mcommentaire, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>          
            {% endif %}
        </div>
        
        <div class="row">
            {% if poForm.linclutpause is defined %}
                <div class="form-group col-sm-4">
                    {{ form_label(poForm.linclutpause, "Inclure la pause conventionelle", {'label_attr': {'class': 'col-sm-8 control-label'}}) }}
                    <div id="linclutpause" class="">
                        {{ form_widget(poForm.linclutpause, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>          
            {% endif %}
    
            {% if poForm.llibre1 is defined %}
                <div class="form-group col-sm-2">
                    {{ form_label(poForm.llibre1, "Libre 1", {'label_attr': {'class': 'col-sm-8 control-label'}}) }}
                    <div id="llibre1" class="">
                        {{ form_widget(poForm.llibre1, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>          
            {% endif %}
    
            {% if poForm.llibre2 is defined %}
                <div class="form-group col-sm-2">
                    {{ form_label(poForm.llibre2, "Libre 2", {'label_attr': {'class': 'col-sm-8 control-label'}}) }}
                    <div id="llibre2" class="">
                        {{ form_widget(poForm.llibre2, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>          
            {% endif %}
        </div>
        
        <div class="row" style = 'display : none'>           
            {% if poForm.tdebut is defined %}
                <div class="form-group col-sm-4">
                    {{ form_label(poForm.tdebut, "De ", {'label_attr': {'class': 'control-label'}}) }}
                    <div id="tdebut" class="">
                    {{ form_widget(poForm.tdebut, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>
            {% endif %}
            
            {% if poForm.tfin is defined %}
                <div class="form-group col-sm-4">
                    {{ form_label(poForm.tfin, "à ", {'label_attr': {'class': 'control-label'}}) }}
                    <div id="tfin" class="">
                        {{ form_widget(poForm.tfin, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>
            {% endif %}
        </div>
        <div id="Grille" style="height: 55%;">
{#            {% include '@/form/seancesRessources.html.twig' %}#}
        </div>
    </div>
{# MG Ajout 20200203 Début #}
    <script>
        
        
        $(document).ready(setDateSeance());
        
        function setDateSeance(){ 
{#MG Modification 20200218 Début
Table actiRealisations renommer en seances#}
            {#var tdebut = $('#fEntityForm_seances_tdebut').val();
            var tfin = $('#fEntityForm_seances_tfin').val();#}
            var tdebut = $('#fEntityForm_seances_tdebut').val();
            var tfin = $('#fEntityForm_seances_tfin').val();
{#MG Modification 20200218 Fin#}
            var dateSeance = tdebut.substring(0,10);
            var heureDebut = tdebut.substring(11,19);
            var heureFin = tfin.substring(11,19);
            
            $('#dateSeance').val(dateSeance);
            $('#heureDebut').val(heureDebut);
            $('#heureFin').val(heureFin);
            setJoursSelect(dateSeance);
        }
        
        function setNouvelleDate(dateSeance, heureDebut, heureFin){
            var nouvelleDateDebut = dateSeance + 'T' + heureDebut;
            var nouvelleDateFin = dateSeance + 'T' + heureFin;
{#			debugger;#}
{#MG Modification 20200218 Début
Table actiRealisations renommer en seances#}
           {# $('#fEntityForm_actirealisations_tdebut').val(nouvelleDateDebut);
            $('#fEntityForm_actirealisations_tfin').val(nouvelleDateFin);#}
            {#$('#fEntityForm_seances_tdebut').val(nouvelleDateDebut);
            $('#fEntityForm_seances_tfin').val(nouvelleDateFin);#}
			
{#MG Modification 20200218 Fin#}
{#MG Modification 20200310 Début
Problèmes avec le.val lorsque'il s'agit d'un input#}
			{#$('#fEntityForm_seances_tdebut').val(nouvelleDateDebut);
            $('#fEntityForm_seances_tfin').val(nouvelleDateFin);#}
			$('#fEntityForm_seances_tdebut').attr('value', nouvelleDateDebut);
			$('#fEntityForm_seances_tfin').attr('value', nouvelleDateFin);
			document.getElementById('fEntityForm_seances_tdebut').value = nouvelleDateDebut;
			document.getElementById('fEntityForm_seances_tfin').value = nouvelleDateFin;
			$('#fEntityForm_seances_tdebut').val(nouvelleDateDebut);
            $('#fEntityForm_seances_tfin').val(nouvelleDateFin);
        }
{#MG Modification 20200310 Fin#}
        
        function setJoursSelect(dateSeance){
            var jour = DOW (new Date (dateSeance), 2);
            $('#jourDeLaSemaine').val(jour);
        }
        
        $('#jourDeLaSemaine').blur(function(){
            var numeroJour = $(this).find('option:selected').attr('id');
{#            var numeroSemaine =  window.oPaa.getNoSemaine($('#fEntityForm_actirealisations_tdebut').val().substring(0,10));#}
            var numeroSemaine = -1;
            var date = window.oPaa.getDateAvecJour(numeroJour, numeroSemaine);
        });
        
        $('#dateSeance, #heureDebut, #heureFin').blur(function(){
            setNouvelleDate($('#dateSeance').val(), $('#heureDebut').val(), $('#heureFin').val());
            setJoursSelect(new Date($('#dateSeance').val()));
        });
        
        
    </script>
{# MG Ajout 20200203 Fin #}
{% endblock %}
{#MG Modification Fin 20200128#}
